<template name="calendarPage">
  {{> calendarNavMulti date=startDate filter=filter setIsAttendeeFilterOn=setterToBePassedToChild}}
  <div class="container calendar-container">
    <div class="page-component">
      {{#if Template.subscriptionsReady}}
        {{#each day in days}}
          {{> calendarDay day=day filter=instance.filter isAttendeeFilterOn=isAttendeeFilterOn}}
          <hr>
        {{/each}}
      {{else}}
        {{> loadingRow}}
      {{/if}}
    </div>

  </div>
</template>

<template name="calendarDay">
  <div class="js-calendar-date calendar-date">
    {{calendarDayFormat day.start}}
  </div>
  {{#if hasEvents}}
    <div class="calendar-event-list">
      {{> eventList dataEvents=(maybeFilteredEvents events isAttendeeFilterOn=isAttendeeFilterOn) withDate=false withImage=true}}
      {{! maybeFilteredEvents is a template helper that gives back a list of events in function of two arguments: events and isAttendeeFilterOn }}
    </div>
  {{else}}
    <br>
    {{i18n 'calendar.noCoursesThisDay' "There are no events on this day"}}
  {{/if}}
</template>
